<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="description" content="squirrels">
<title>Study the squirrels • squirrels</title>
<script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link href="../deps/bootstrap-5.1.0/bootstrap.min.css" rel="stylesheet">
<script src="../deps/bootstrap-5.1.0/bootstrap.bundle.min.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- bootstrap-toc --><script src="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.js"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- search --><script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/6.4.6/fuse.js" integrity="sha512-zv6Ywkjyktsohkbp9bb45V6tEMoWhzFzXis+LrMehmJZZSys19Yxf1dopHx7WzIKxr5tK2dVcYmaCk2uqdjF4A==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/autocomplete.js/0.38.0/autocomplete.jquery.min.js" integrity="sha512-GU9ayf+66Xx2TmpxqJpliWbT5PiGYxpaG8rfnBEk1LL8l1KGkRShhngwdXK1UgqhAzWpZHSiYPc09/NwDQIGyg==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mark.js/8.11.1/mark.min.js" integrity="sha512-5CYOlHXGh6QpOFA/TeTylKLWfB3ftPsde7AnmhuitiTX4K5SqCLBeKro6sPS8ilsz1Q4NRx3v8Ko2IBiszzdww==" crossorigin="anonymous"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Study the squirrels">
<meta property="og:description" content="squirrels">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>
    

    <nav class="navbar fixed-top navbar-light navbar-expand-lg bg-light"><div class="container">
    
    <a class="navbar-brand me-2" href="../index.html">squirrels</a>

    <small class="nav-text text-muted me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="">0.0.1</small>

    
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto">
<li class="nav-item">
  <a class="nav-link" href="../reference/index.html">Reference</a>
</li>
<li class="active nav-item dropdown">
  <a href="#" class="nav-link dropdown-toggle" data-bs-toggle="dropdown" role="button" aria-expanded="false" aria-haspopup="true" id="dropdown-articles">Articles</a>
  <div class="dropdown-menu" aria-labelledby="dropdown-articles">
    <a class="dropdown-item" href="../articles/check-data.html">Check data</a>
    <a class="dropdown-item" href="../articles/study-the-squirrels.html">Study the squirrels</a>
  </div>
</li>
<li class="nav-item">
  <a class="nav-link" href="../news/index.html">Changelog</a>
</li>
      </ul>
<form class="form-inline my-2 my-lg-0" role="search">
        <input type="search" class="form-control me-sm-2" aria-label="Toggle navigation" name="search-input" data-search-index="../search.json" id="search-input" placeholder="Search for" autocomplete="off">
</form>

      <ul class="navbar-nav"></ul>
</div>

    
  </div>
</nav><div class="container template-article">




<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">
      <img src="" class="logo" alt=""><h1>Study the squirrels</h1>
            
      
      
      <div class="d-none name"><code>study-the-squirrels.Rmd</code></div>
    </div>

    
    
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html" class="external-link">library</a></span><span class="op">(</span><span class="va">squirrels</span><span class="op">)</span></code></pre></div>
<!-- WARNING - This vignette is generated by {fusen} from /dev/flat_study_squirrels.Rmd: do not edit by hand -->
<!--
 You need to run the 'description' chunk in the '0-dev_history.Rmd' file before continuing your code there.
-->
<div class="section level2">
<h2 id="get_message_fur_color-get-a-message-with-a-fur-color">
<code>get_message_fur_color()</code>: Get a message with a fur
color<a class="anchor" aria-label="anchor" href="#get_message_fur_color-get-a-message-with-a-fur-color"></a>
</h2>
<p>You can get a message with the fur color of interest with
<code><a href="../reference/get_message_fur_color.html">get_message_fur_color()</a></code>. Take a parameter
<code>primary_fur_color</code> (Cinnamon, Grey, or Black).</p>
<div class="sourceCode" id="cb2"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="../reference/get_message_fur_color.html">get_message_fur_color</a></span><span class="op">(</span>primary_fur_color <span class="op">=</span> <span class="st">"Cinnamon"</span><span class="op">)</span>
<span class="co">#&gt; We will focus on Cinnamon squirrels</span>
<span class="fu"><a href="../reference/get_message_fur_color.html">get_message_fur_color</a></span><span class="op">(</span>primary_fur_color <span class="op">=</span> <span class="st">"Black"</span><span class="op">)</span>
<span class="co">#&gt; We will focus on Black squirrels</span>
<span class="fu"><a href="../reference/get_message_fur_color.html">get_message_fur_color</a></span><span class="op">(</span>primary_fur_color <span class="op">=</span> <span class="st">"Grey"</span><span class="op">)</span>
<span class="co">#&gt; We will focus on Grey squirrels</span></code></pre></div>
</div>
<div class="section level2">
<h2 id="study_activity-filter-data-and-plot-the-activities-of-squirrels">
<code>study_activity()</code>: Filter data and plot the activities
of squirrels<a class="anchor" aria-label="anchor" href="#study_activity-filter-data-and-plot-the-activities-of-squirrels"></a>
</h2>
<p>This function takes a data frame, filter the data according to a
primary fur color, summarize their activities and create a plot.</p>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="https://rdrr.io/r/utils/data.html" class="external-link">data</a></span><span class="op">(</span><span class="va">data_act_squirrels</span><span class="op">)</span>
<span class="fu"><a href="../reference/study_activity.html">study_activity</a></span><span class="op">(</span>
  df_squirrels_act <span class="op">=</span> <span class="va">data_act_squirrels</span>, 
  col_primary_fur_color <span class="op">=</span> <span class="st">"Gray"</span>
<span class="op">)</span>
<span class="co">#&gt; Everything in the data is ok</span>
<span class="co">#&gt; $table</span>
<span class="co">#&gt; <span style="color: #949494;"># A tibble: 6 × 4</span></span>
<span class="co">#&gt;   age      primary_fur_color activity counts</span>
<span class="co">#&gt;   <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;dbl&gt;</span></span>
<span class="co">#&gt; <span style="color: #BCBCBC;">1</span> Adult    Gray              eating      524</span>
<span class="co">#&gt; <span style="color: #BCBCBC;">2</span> Adult    Gray              climbing    456</span>
<span class="co">#&gt; <span style="color: #BCBCBC;">3</span> Juvenile Gray              eating       69</span>
<span class="co">#&gt; <span style="color: #BCBCBC;">4</span> Adult    Gray              foraging   <span style="text-decoration: underline;">1</span>046</span>
<span class="co">#&gt; <span style="color: #BCBCBC;">5</span> Juvenile Gray              climbing     65</span>
<span class="co">#&gt; <span style="color: #BCBCBC;">6</span> Juvenile Gray              running      64</span>
<span class="co">#&gt; </span>
<span class="co">#&gt; $graph</span></code></pre></div>
<p><img src="study-the-squirrels_files/figure-html/example-study_activity-1.png" width="700"></p>
</div>
<div class="section level2">
<h2 id="save_as_csv-save-a-dataset-as-a-csv-file">
<code>save_as_csv()</code>: Save a dataset as a csv file<a class="anchor" aria-label="anchor" href="#save_as_csv-save-a-dataset-as-a-csv-file"></a>
</h2>
<p>This function saves a squirrels dataset as a csv file.</p>
<div class="sourceCode" id="cb4"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="co"># Create a temp dir to save the dataset inside</span>
<span class="va">my_temp_dir</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/tempfile.html" class="external-link">tempfile</a></span><span class="op">(</span>pattern <span class="op">=</span> <span class="st">"data"</span><span class="op">)</span>
<span class="fu"><a href="https://rdrr.io/r/base/files2.html" class="external-link">dir.create</a></span><span class="op">(</span><span class="va">my_temp_dir</span><span class="op">)</span>

<span class="co"># Create a squirrels dataset</span>
<span class="fu"><a href="https://rdrr.io/r/utils/data.html" class="external-link">data</a></span><span class="op">(</span><span class="va">data_act_squirrels</span><span class="op">)</span>

<span class="va">df_squirrels_reprex</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/study_activity.html">study_activity</a></span><span class="op">(</span>
  df_squirrels_act <span class="op">=</span> <span class="va">data_act_squirrels</span>,
  col_primary_fur_color <span class="op">=</span> <span class="st">"Gray"</span><span class="op">)</span><span class="op">$</span><span class="va">table</span>
<span class="co">#&gt; Everything in the data is ok</span>

<span class="co"># Save squirrels dataset</span>
<span class="fu"><a href="../reference/save_as_csv.html">save_as_csv</a></span><span class="op">(</span>
  df_squirrels <span class="op">=</span> <span class="va">df_squirrels_reprex</span>,
  path <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/file.path.html" class="external-link">file.path</a></span><span class="op">(</span>
    <span class="va">my_temp_dir</span>, <span class="st">"squirrels_activities.csv"</span>
  <span class="op">)</span>
<span class="op">)</span>
<span class="co">#&gt; [1] "/tmp/Rtmpn1fAiW/data150231256fe87/squirrels_activities.csv"</span>

<span class="co"># Check if the file exists</span>
<span class="fu"><a href="https://rdrr.io/r/base/files.html" class="external-link">file.exists</a></span><span class="op">(</span>
  <span class="fu"><a href="https://rdrr.io/r/base/file.path.html" class="external-link">file.path</a></span><span class="op">(</span><span class="va">my_temp_dir</span>, <span class="st">"squirrels_activities.csv"</span><span class="op">)</span>
<span class="op">)</span>
<span class="co">#&gt; [1] TRUE</span>

<span class="co"># Read the file</span>
<span class="fu"><a href="https://rdrr.io/r/utils/read.table.html" class="external-link">read.csv2</a></span><span class="op">(</span>
  <span class="fu"><a href="https://rdrr.io/r/base/file.path.html" class="external-link">file.path</a></span><span class="op">(</span><span class="va">my_temp_dir</span>, <span class="st">"squirrels_activities.csv"</span><span class="op">)</span>
<span class="op">)</span>
<span class="co">#&gt;   X      age primary_fur_color activity counts</span>
<span class="co">#&gt; 1 1    Adult              Gray   eating    524</span>
<span class="co">#&gt; 2 2    Adult              Gray climbing    456</span>
<span class="co">#&gt; 3 3 Juvenile              Gray   eating     69</span>
<span class="co">#&gt; 4 4    Adult              Gray foraging   1046</span>
<span class="co">#&gt; 5 5 Juvenile              Gray climbing     65</span>
<span class="co">#&gt; 6 6 Juvenile              Gray  running     64</span>

<span class="co"># Delete the temp dir</span>
<span class="fu"><a href="https://rdrr.io/r/base/unlink.html" class="external-link">unlink</a></span><span class="op">(</span><span class="va">my_temp_dir</span>, recursive <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></code></pre></div>
</div>
  </main><aside class="col-md-3"><nav id="toc"><h2>On this page</h2>
    </nav></aside>
</div>



    <footer><div class="pkgdown-footer-left">
  <p></p>
<p>Developed by Margot Brard.</p>
</div>

<div class="pkgdown-footer-right">
  <p></p>
<p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.0.4.</p>
</div>

    </footer>
</div>

  

  

  </body>
</html>
